public
nobgit
read
NobMail
Based on mailcow: dockerized
Languages
Repository composition by tracked source files.
PHP
49%
JavaScript
35%
HTML
9%
CSS
4%
Shell
2%
Python
1%
Lua
0%
Perl
0%
Ruby
0%
SCSS
0%
Create file
Wiki Documentation
Clone
https://nobgit.com/orgs/nobgit/nobmail.git
ssh://[email protected]:2222/orgs/nobgit/nobmail.git
Trace
helper-scripts/_cold-standby.sh
Trace helps you understand code history line by line. See who changed each line, when it changed, and which commit introduced it.
_cold-standby.sh
on main
Author
Date
Commit
Line
Code
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 1
#!/usr/bin/env bash
#!/usr/bin/env bash
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 2
andryyy
over 4 years ago
25a5978
[Helper] Minor cosmetic changes to cold standby script
- Full commit hash
25a5978043091f754ce44fda8242e81f1f186a87- Author
- andryyy <[email protected]>
- Date
- over 4 years ago
- Selected line
- 3
PATH=${PATH}:/opt/bin
PATH=${PATH}:/opt/bin
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 4
DATE=$(date +%Y-%m-%d_%H_%M_%S)
DATE=$(date +%Y-%m-%d_%H_%M_%S)
DerLinkman
about 3 years ago
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 5
LOCAL_ARCH=$(uname -m)
LOCAL_ARCH=$(uname -m)
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 6
export LC_ALL=C
export LC_ALL=C
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 7
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 8
echo
echo
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 9
echo "If this script is run automatically by cron or a timer AND you are using block-level snapshots on your backup destination, make sure both do not run at the same time."
echo "If this script is run automatically by cron or a timer AND you are using block-level snapshots on your backup destination, make sure both do not run at the same time."
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 10
echo "The snapshots of your backup destination should run AFTER the cold standby script finished to ensure consistent snapshots."
echo "The snapshots of your backup destination should run AFTER the cold standby script finished to ensure consistent snapshots."
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 11
echo
echo
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 12
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 13
function preflight_local_checks() {
function preflight_local_checks() {
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 14
if [[ -z "${REMOTE_SSH_KEY}" ]]; then
if [[ -z "${REMOTE_SSH_KEY}" ]]; then
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 15
>&2 echo -e "\e[31mREMOTE_SSH_KEY is not set\e[0m"
>&2 echo -e "\e[31mREMOTE_SSH_KEY is not set\e[0m"
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 16
exit 1
exit 1
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 17
fi
fi
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 18
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 19
if [[ ! -s "${REMOTE_SSH_KEY}" ]]; then
if [[ ! -s "${REMOTE_SSH_KEY}" ]]; then
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 20
>&2 echo -e "\e[31mKeyfile ${REMOTE_SSH_KEY} is empty\e[0m"
>&2 echo -e "\e[31mKeyfile ${REMOTE_SSH_KEY} is empty\e[0m"
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 21
exit 1
exit 1
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 22
fi
fi
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 23
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 24
if [[ $(stat -c "%a" "${REMOTE_SSH_KEY}") -ne 600 ]]; then
if [[ $(stat -c "%a" "${REMOTE_SSH_KEY}") -ne 600 ]]; then
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 25
>&2 echo -e "\e[31mKeyfile ${REMOTE_SSH_KEY} has insecure permissions\e[0m"
>&2 echo -e "\e[31mKeyfile ${REMOTE_SSH_KEY} has insecure permissions\e[0m"
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 26
exit 1
exit 1
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 27
fi
fi
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 28
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 29
if [[ ! -z "${REMOTE_SSH_PORT}" ]]; then
if [[ ! -z "${REMOTE_SSH_PORT}" ]]; then
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 30
if [[ ${REMOTE_SSH_PORT} != ?(-)+([0-9]) ]] || [[ ${REMOTE_SSH_PORT} -gt 65535 ]]; then
if [[ ${REMOTE_SSH_PORT} != ?(-)+([0-9]) ]] || [[ ${REMOTE_SSH_PORT} -gt 65535 ]]; then
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 31
>&2 echo -e "\e[31mREMOTE_SSH_PORT is set but not an integer < 65535\e[0m"
>&2 echo -e "\e[31mREMOTE_SSH_PORT is set but not an integer < 65535\e[0m"
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 32
exit 1
exit 1
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 33
fi
fi
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 34
fi
fi
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 35
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 36
if [[ -z "${REMOTE_SSH_HOST}" ]]; then
if [[ -z "${REMOTE_SSH_HOST}" ]]; then
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 37
>&2 echo -e "\e[31mREMOTE_SSH_HOST cannot be empty\e[0m"
>&2 echo -e "\e[31mREMOTE_SSH_HOST cannot be empty\e[0m"
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 38
exit 1
exit 1
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 39
fi
fi
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 40
DerLinkman
almost 4 years ago
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 41
for bin in rsync docker grep cut; do
for bin in rsync docker grep cut; do
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 42
if [[ -z $(which ${bin}) ]]; then
if [[ -z $(which ${bin}) ]]; then
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 43
>&2 echo -e "\e[31mCannot find ${bin} in local PATH, exiting...\e[0m"
>&2 echo -e "\e[31mCannot find ${bin} in local PATH, exiting...\e[0m"
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 44
exit 1
exit 1
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 45
fi
fi
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 46
done
done
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 47
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 48
if grep --help 2>&1 | head -n 1 | grep -q -i "busybox"; then
if grep --help 2>&1 | head -n 1 | grep -q -i "busybox"; then
FreddleSpl0it
about 4 years ago
958112a
[Compose] Remove >&2 in if block
- Full commit hash
958112af6b96f0f794a986eac91c4038c0d378a1- Author
- FreddleSpl0it <[email protected]>
- Date
- about 4 years ago
- Selected line
- 49
echo -e "\e[31mBusyBox grep detected on local system, please install GNU grep\e[0m"
echo -e "\e[31mBusyBox grep detected on local system, please install GNU grep\e[0m"
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 50
exit 1
exit 1
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 51
fi
fi
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 52
}
}
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 53
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 54
function preflight_remote_checks() {
function preflight_remote_checks() {
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 55
andryyy
over 4 years ago
25a5978
[Helper] Minor cosmetic changes to cold standby script
- Full commit hash
25a5978043091f754ce44fda8242e81f1f186a87- Author
- andryyy <[email protected]>
- Date
- over 4 years ago
- Selected line
- 56
if ! ssh -o StrictHostKeyChecking=no \
if ! ssh -o StrictHostKeyChecking=no \
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 57
-i "${REMOTE_SSH_KEY}" \
-i "${REMOTE_SSH_KEY}" \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 58
${REMOTE_SSH_HOST} \
${REMOTE_SSH_HOST} \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 59
-p ${REMOTE_SSH_PORT} \
-p ${REMOTE_SSH_PORT} \
andryyy
over 4 years ago
25a5978
[Helper] Minor cosmetic changes to cold standby script
- Full commit hash
25a5978043091f754ce44fda8242e81f1f186a87- Author
- andryyy <[email protected]>
- Date
- over 4 years ago
- Selected line
- 60
rsync --version > /dev/null ; then
rsync --version > /dev/null ; then
same change
25a5978
[Helper] Minor cosmetic changes to cold standby script
- Full commit hash
25a5978043091f754ce44fda8242e81f1f186a87- Author
- andryyy <[email protected]>
- Date
- over 4 years ago
- Selected line
- 61
>&2 echo -e "\e[31mCould not verify connection to ${REMOTE_SSH_HOST}\e[0m"
>&2 echo -e "\e[31mCould not verify connection to ${REMOTE_SSH_HOST}\e[0m"
same change
25a5978
[Helper] Minor cosmetic changes to cold standby script
- Full commit hash
25a5978043091f754ce44fda8242e81f1f186a87- Author
- andryyy <[email protected]>
- Date
- over 4 years ago
- Selected line
- 62
>&2 echo -e "\e[31mPlease check the output above (is rsync >= 3.1.0 installed on the remote system?)\e[0m"
>&2 echo -e "\e[31mPlease check the output above (is rsync >= 3.1.0 installed on the remote system?)\e[0m"
same change
25a5978
[Helper] Minor cosmetic changes to cold standby script
- Full commit hash
25a5978043091f754ce44fda8242e81f1f186a87- Author
- andryyy <[email protected]>
- Date
- over 4 years ago
- Selected line
- 63
exit 1
exit 1
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 64
fi
fi
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 65
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 66
if ssh -o StrictHostKeyChecking=no \
if ssh -o StrictHostKeyChecking=no \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 67
-i "${REMOTE_SSH_KEY}" \
-i "${REMOTE_SSH_KEY}" \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 68
${REMOTE_SSH_HOST} \
${REMOTE_SSH_HOST} \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 69
-p ${REMOTE_SSH_PORT} \
-p ${REMOTE_SSH_PORT} \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 70
grep --help 2>&1 | head -n 1 | grep -q -i "busybox" ; then
grep --help 2>&1 | head -n 1 | grep -q -i "busybox" ; then
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 71
>&2 echo -e "\e[31mBusyBox grep detected on remote system ${REMOTE_SSH_HOST}, please install GNU grep\e[0m"
>&2 echo -e "\e[31mBusyBox grep detected on remote system ${REMOTE_SSH_HOST}, please install GNU grep\e[0m"
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 72
exit 1
exit 1
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 73
fi
fi
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 74
DerLinkman
almost 4 years ago
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 75
for bin in rsync docker; do
for bin in rsync docker; do
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 76
if ! ssh -o StrictHostKeyChecking=no \
if ! ssh -o StrictHostKeyChecking=no \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 77
-i "${REMOTE_SSH_KEY}" \
-i "${REMOTE_SSH_KEY}" \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 78
${REMOTE_SSH_HOST} \
${REMOTE_SSH_HOST} \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 79
-p ${REMOTE_SSH_PORT} \
-p ${REMOTE_SSH_PORT} \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 80
which ${bin} > /dev/null ; then
which ${bin} > /dev/null ; then
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 81
>&2 echo -e "\e[31mCannot find ${bin} in remote PATH, exiting...\e[0m"
>&2 echo -e "\e[31mCannot find ${bin} in remote PATH, exiting...\e[0m"
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 82
exit 1
exit 1
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 83
fi
fi
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 84
done
done
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 85
DerLinkman
almost 4 years ago
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 86
ssh -o StrictHostKeyChecking=no \
ssh -o StrictHostKeyChecking=no \
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 87
-i "${REMOTE_SSH_KEY}" \
-i "${REMOTE_SSH_KEY}" \
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 88
${REMOTE_SSH_HOST} \
${REMOTE_SSH_HOST} \
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 89
-p ${REMOTE_SSH_PORT} \
-p ${REMOTE_SSH_PORT} \
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 90
"bash -s" << "EOF"
"bash -s" << "EOF"
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 91
if docker compose > /dev/null 2>&1; then
if docker compose > /dev/null 2>&1; then
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 92
exit 0
exit 0
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 93
elif docker-compose version --short | grep "^2." > /dev/null 2>&1; then
elif docker-compose version --short | grep "^2." > /dev/null 2>&1; then
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 94
exit 1
exit 1
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 95
else
else
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 96
exit 2
exit 2
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 97
fi
fi
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 98
EOF
EOF
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 99
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 100
if [ $? = 0 ]; then
if [ $? = 0 ]; then
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 101
COMPOSE_COMMAND="docker compose"
COMPOSE_COMMAND="docker compose"
DerLinkman
over 1 year ago
18acbc7
cold-standby: changed texts + removed --no-parallel for pull
- Full commit hash
18acbc7a4c68e7b31a6d5aa94ffb7d4ee2d9f577- Author
- DerLinkman <[email protected]>
- Date
- over 1 year ago
- Selected line
- 102
echo "INFO: Using native docker compose on remote"
echo "INFO: Using native docker compose on remote"
DerLinkman
almost 4 years ago
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 103
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 104
elif [ $? = 1 ]; then
elif [ $? = 1 ]; then
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 105
COMPOSE_COMMAND="docker-compose"
COMPOSE_COMMAND="docker-compose"
DerLinkman
over 1 year ago
18acbc7
cold-standby: changed texts + removed --no-parallel for pull
- Full commit hash
18acbc7a4c68e7b31a6d5aa94ffb7d4ee2d9f577- Author
- DerLinkman <[email protected]>
- Date
- over 1 year ago
- Selected line
- 106
echo "INFO: Using standalone docker compose on remote"
echo "INFO: Using standalone docker compose on remote"
DerLinkman
almost 4 years ago
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 107
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 108
else
else
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 109
echo -e "\e[31mCannot find any Docker Compose on remote, exiting...\e[0m"
echo -e "\e[31mCannot find any Docker Compose on remote, exiting...\e[0m"
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 110
exit 1
exit 1
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 111
fi
fi
DerLinkman
about 3 years ago
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 112
FreddleSpl0it
over 1 year ago
89fb132
Enable password protection for Redis
- Full commit hash
89fb1322c6f486a9883e6435a73537b13fbf3582- Author
- FreddleSpl0it <[email protected]>
- Date
- over 1 year ago
- Selected line
- 113
REMOTE_ARCH=$(ssh -o StrictHostKeyChecking=no -i "${REMOTE_SSH_KEY}" ${REMOTE_SSH_HOST} -p ${REMOTE_SSH_PORT} "uname -m")
REMOTE_ARCH=$(ssh -o StrictHostKeyChecking=no -i "${REMOTE_SSH_KEY}" ${REMOTE_SSH_HOST} -p ${REMOTE_SSH_PORT} "uname -m")
DerLinkman
about 3 years ago
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 114
DerLinkman
almost 4 years ago
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 115
}
}
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 116
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 117
SCRIPT_DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
SCRIPT_DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 118
source "${SCRIPT_DIR}/../mailcow.conf"
source "${SCRIPT_DIR}/../mailcow.conf"
DerLinkman
almost 4 years ago
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 119
COMPOSE_FILE="${SCRIPT_DIR}/../docker-compose.yml"
COMPOSE_FILE="${SCRIPT_DIR}/../docker-compose.yml"
sdsys-ch
10 months ago
3cc28af
[Helper] Fix cold-standby script to support digits and override files (#6800)
- Full commit hash
3cc28af607194eda0a624413c7be2b168e0a5ba8- Author
- sdsys-ch <[email protected]>
- Date
- 10 months ago
- Selected line
- 120
CMPS_PRJ=$(echo ${COMPOSE_PROJECT_NAME} | tr -cd '0-9A-Za-z-_')
CMPS_PRJ=$(echo ${COMPOSE_PROJECT_NAME} | tr -cd '0-9A-Za-z-_')
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 121
SQLIMAGE=$(grep -iEo '(mysql|mariadb)\:.+' "${COMPOSE_FILE}")
SQLIMAGE=$(grep -iEo '(mysql|mariadb)\:.+' "${COMPOSE_FILE}")
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 122
DerLinkman
almost 4 years ago
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 123
preflight_local_checks
preflight_local_checks
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 124
preflight_remote_checks
preflight_remote_checks
same change
1f3d9d4
Implemented user choice compose in cold-standby
- Full commit hash
1f3d9d4e1cdb4f20db607f555286b8dcbbda8993- Author
- DerLinkman <[email protected]>
- Date
- almost 4 years ago
- Selected line
- 125
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 126
echo
echo
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 127
echo -e "\033[1mFound compose project name ${CMPS_PRJ} for ${MAILCOW_HOSTNAME}\033[0m"
echo -e "\033[1mFound compose project name ${CMPS_PRJ} for ${MAILCOW_HOSTNAME}\033[0m"
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 128
echo -e "\033[1mFound SQL ${SQLIMAGE}\033[0m"
echo -e "\033[1mFound SQL ${SQLIMAGE}\033[0m"
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 129
echo
echo
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 130
DerLinkman
about 3 years ago
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 131
# Print Message if Local Arch and Remote Arch is not the same
# Print Message if Local Arch and Remote Arch is not the same
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 132
if [[ $LOCAL_ARCH != $REMOTE_ARCH ]]; then
if [[ $LOCAL_ARCH != $REMOTE_ARCH ]]; then
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 133
echo
echo
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 134
echo -e "\e[1;33m!!!!!!!!!!!!!!!!!!!!!!!!!! CAUTION !!!!!!!!!!!!!!!!!!!!!!!!!!\e[0m"
echo -e "\e[1;33m!!!!!!!!!!!!!!!!!!!!!!!!!! CAUTION !!!!!!!!!!!!!!!!!!!!!!!!!!\e[0m"
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 135
echo -e "\e[3;33mDetected Architecture missmatch from source to destination...\e[0m"
echo -e "\e[3;33mDetected Architecture missmatch from source to destination...\e[0m"
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 136
echo -e "\e[3;33mYour backup is transferred but some volumes might be skipped!\e[0m"
echo -e "\e[3;33mYour backup is transferred but some volumes might be skipped!\e[0m"
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 137
echo -e "\e[1;33m!!!!!!!!!!!!!!!!!!!!!!!!!! CAUTION !!!!!!!!!!!!!!!!!!!!!!!!!!\e[0m"
echo -e "\e[1;33m!!!!!!!!!!!!!!!!!!!!!!!!!! CAUTION !!!!!!!!!!!!!!!!!!!!!!!!!!\e[0m"
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 138
echo
echo
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 139
sleep 2
sleep 2
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 140
fi
fi
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 141
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 142
# Make sure destination exists, rsync can fail under some circumstances
# Make sure destination exists, rsync can fail under some circumstances
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 143
echo -e "\033[1mPreparing remote...\033[0m"
echo -e "\033[1mPreparing remote...\033[0m"
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 144
if ! ssh -o StrictHostKeyChecking=no \
if ! ssh -o StrictHostKeyChecking=no \
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 145
-i "${REMOTE_SSH_KEY}" \
-i "${REMOTE_SSH_KEY}" \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 146
${REMOTE_SSH_HOST} \
${REMOTE_SSH_HOST} \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 147
-p ${REMOTE_SSH_PORT} \
-p ${REMOTE_SSH_PORT} \
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 148
mkdir -p "${SCRIPT_DIR}/../" ; then
mkdir -p "${SCRIPT_DIR}/../" ; then
same change
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 149
>&2 echo -e "\e[31m[ERR]\e[0m - Could not prepare remote for mailcow base directory transfer"
>&2 echo -e "\e[31m[ERR]\e[0m - Could not prepare remote for mailcow base directory transfer"
same change
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 150
exit 1
exit 1
same change
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 151
fi
fi
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 152
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 153
# Syncing the mailcow base directory
# Syncing the mailcow base directory
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 154
echo -e "\033[1mSynchronizing mailcow base directory...\033[0m"
echo -e "\033[1mSynchronizing mailcow base directory...\033[0m"
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 155
rsync --delete -aH -e "ssh -o StrictHostKeyChecking=no \
rsync --delete -aH -e "ssh -o StrictHostKeyChecking=no \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 156
-i \"${REMOTE_SSH_KEY}\" \
-i \"${REMOTE_SSH_KEY}\" \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 157
-p ${REMOTE_SSH_PORT}" \
-p ${REMOTE_SSH_PORT}" \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 158
"${SCRIPT_DIR}/../" root@${REMOTE_SSH_HOST}:"${SCRIPT_DIR}/../"
"${SCRIPT_DIR}/../" root@${REMOTE_SSH_HOST}:"${SCRIPT_DIR}/../"
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 159
ec=$?
ec=$?
andryyy
over 4 years ago
25a5978
[Helper] Minor cosmetic changes to cold standby script
- Full commit hash
25a5978043091f754ce44fda8242e81f1f186a87- Author
- andryyy <[email protected]>
- Date
- over 4 years ago
- Selected line
- 160
if [ ${ec} -ne 0 ] && [ ${ec} -ne 24 ]; then
if [ ${ec} -ne 0 ] && [ ${ec} -ne 24 ]; then
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 161
>&2 echo -e "\e[31m[ERR]\e[0m - Could not transfer mailcow base directory to remote"
>&2 echo -e "\e[31m[ERR]\e[0m - Could not transfer mailcow base directory to remote"
same change
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 162
exit 1
exit 1
same change
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 163
fi
fi
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 164
Christian 🦄
over 1 year ago
7c8e5c1
Add create command to prevent external: true warnings (#6203)
- Full commit hash
7c8e5c10cad47d1faab0f28b9b81953835c1622e- Author
- Christian 🦄 <[email protected]>
- Date
- over 1 year ago
- Selected line
- 165
# Let the remote side create all network, volumes and containers to prevent need for external:true #
# Let the remote side create all network, volumes and containers to prevent need for external:true #
same change
7c8e5c1
Add create command to prevent external: true warnings (#6203)
- Full commit hash
7c8e5c10cad47d1faab0f28b9b81953835c1622e- Author
- Christian 🦄 <[email protected]>
- Date
- over 1 year ago
- Selected line
- 166
echo -e "\e[33mCreating networks, volumes and containers on remote...\e[0m"
echo -e "\e[33mCreating networks, volumes and containers on remote...\e[0m"
same change
7c8e5c1
Add create command to prevent external: true warnings (#6203)
- Full commit hash
7c8e5c10cad47d1faab0f28b9b81953835c1622e- Author
- Christian 🦄 <[email protected]>
- Date
- over 1 year ago
- Selected line
- 167
same change
7c8e5c1
Add create command to prevent external: true warnings (#6203)
- Full commit hash
7c8e5c10cad47d1faab0f28b9b81953835c1622e- Author
- Christian 🦄 <[email protected]>
- Date
- over 1 year ago
- Selected line
- 168
if ! ssh -o StrictHostKeyChecking=no \
if ! ssh -o StrictHostKeyChecking=no \
same change
7c8e5c1
Add create command to prevent external: true warnings (#6203)
- Full commit hash
7c8e5c10cad47d1faab0f28b9b81953835c1622e- Author
- Christian 🦄 <[email protected]>
- Date
- over 1 year ago
- Selected line
- 169
-i "${REMOTE_SSH_KEY}" \
-i "${REMOTE_SSH_KEY}" \
same change
7c8e5c1
Add create command to prevent external: true warnings (#6203)
- Full commit hash
7c8e5c10cad47d1faab0f28b9b81953835c1622e- Author
- Christian 🦄 <[email protected]>
- Date
- over 1 year ago
- Selected line
- 170
${REMOTE_SSH_HOST} \
${REMOTE_SSH_HOST} \
same change
7c8e5c1
Add create command to prevent external: true warnings (#6203)
- Full commit hash
7c8e5c10cad47d1faab0f28b9b81953835c1622e- Author
- Christian 🦄 <[email protected]>
- Date
- over 1 year ago
- Selected line
- 171
-p ${REMOTE_SSH_PORT} \
-p ${REMOTE_SSH_PORT} \
sdsys-ch
10 months ago
3cc28af
[Helper] Fix cold-standby script to support digits and override files (#6800)
- Full commit hash
3cc28af607194eda0a624413c7be2b168e0a5ba8- Author
- sdsys-ch <[email protected]>
- Date
- 10 months ago
- Selected line
- 172
"cd \"${SCRIPT_DIR}/../\" && ${COMPOSE_COMMAND} create 2>&1" ; then
"cd \"${SCRIPT_DIR}/../\" && ${COMPOSE_COMMAND} create 2>&1" ; then
Christian 🦄
over 1 year ago
7c8e5c1
Add create command to prevent external: true warnings (#6203)
- Full commit hash
7c8e5c10cad47d1faab0f28b9b81953835c1622e- Author
- Christian 🦄 <[email protected]>
- Date
- over 1 year ago
- Selected line
- 173
>&2 echo -e "\e[31m[ERR]\e[0m - Could not create networks, volumes and containers on remote"
>&2 echo -e "\e[31m[ERR]\e[0m - Could not create networks, volumes and containers on remote"
same change
7c8e5c1
Add create command to prevent external: true warnings (#6203)
- Full commit hash
7c8e5c10cad47d1faab0f28b9b81953835c1622e- Author
- Christian 🦄 <[email protected]>
- Date
- over 1 year ago
- Selected line
- 174
fi
fi
same change
7c8e5c1
Add create command to prevent external: true warnings (#6203)
- Full commit hash
7c8e5c10cad47d1faab0f28b9b81953835c1622e- Author
- Christian 🦄 <[email protected]>
- Date
- over 1 year ago
- Selected line
- 175
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 176
# Trigger a Redis save for a consistent Redis copy
# Trigger a Redis save for a consistent Redis copy
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 177
echo -ne "\033[1mRunning redis-cli save... \033[0m"
echo -ne "\033[1mRunning redis-cli save... \033[0m"
FreddleSpl0it
over 1 year ago
6831f94
[Redis] redis-cli suppress auth warning
- Full commit hash
6831f94fdb209fb4a558f5f81fb7db340c856bd2- Author
- FreddleSpl0it <[email protected]>
- Date
- over 1 year ago
- Selected line
- 178
docker exec $(docker ps -qf name=redis-mailcow) redis-cli -a ${REDISPASS} --no-auth-warning save
docker exec $(docker ps -qf name=redis-mailcow) redis-cli -a ${REDISPASS} --no-auth-warning save
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 179
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 180
# Syncing volumes related to compose project
# Syncing volumes related to compose project
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 181
# Same here: make sure destination exists
# Same here: make sure destination exists
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 182
for vol in $(docker volume ls -qf name="${CMPS_PRJ}"); do
for vol in $(docker volume ls -qf name="${CMPS_PRJ}"); do
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 183
andryyy
over 4 years ago
25a5978
[Helper] Minor cosmetic changes to cold standby script
- Full commit hash
25a5978043091f754ce44fda8242e81f1f186a87- Author
- andryyy <[email protected]>
- Date
- over 4 years ago
- Selected line
- 184
mountpoint="$(docker inspect ${vol} | grep Mountpoint | cut -d '"' -f4)"
mountpoint="$(docker inspect ${vol} | grep Mountpoint | cut -d '"' -f4)"
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 185
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 186
echo -e "\033[1mCreating remote mountpoint ${mountpoint} for ${vol}...\033[0m"
echo -e "\033[1mCreating remote mountpoint ${mountpoint} for ${vol}...\033[0m"
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 187
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 188
ssh -o StrictHostKeyChecking=no \
ssh -o StrictHostKeyChecking=no \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 189
-i "${REMOTE_SSH_KEY}" \
-i "${REMOTE_SSH_KEY}" \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 190
${REMOTE_SSH_HOST} \
${REMOTE_SSH_HOST} \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 191
-p ${REMOTE_SSH_PORT} \
-p ${REMOTE_SSH_PORT} \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 192
mkdir -p "${mountpoint}"
mkdir -p "${mountpoint}"
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 193
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 194
if [[ "${vol}" =~ "mysql-vol-1" ]]; then
if [[ "${vol}" =~ "mysql-vol-1" ]]; then
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 195
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 196
# Make sure a previous backup does not exist
# Make sure a previous backup does not exist
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 197
rm -rf "${SCRIPT_DIR}/../_tmp_mariabackup/"
rm -rf "${SCRIPT_DIR}/../_tmp_mariabackup/"
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 198
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 199
echo -e "\033[1mCreating consistent backup of MariaDB volume...\033[0m"
echo -e "\033[1mCreating consistent backup of MariaDB volume...\033[0m"
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 200
if ! docker run --rm \
if ! docker run --rm \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 201
--network $(docker network ls -qf name=${CMPS_PRJ}_) \
--network $(docker network ls -qf name=${CMPS_PRJ}_) \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 202
-v $(docker volume ls -qf name=${CMPS_PRJ}_mysql-vol-1):/var/lib/mysql/:ro \
-v $(docker volume ls -qf name=${CMPS_PRJ}_mysql-vol-1):/var/lib/mysql/:ro \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 203
--entrypoint= \
--entrypoint= \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 204
-v "${SCRIPT_DIR}/../_tmp_mariabackup":/backup \
-v "${SCRIPT_DIR}/../_tmp_mariabackup":/backup \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 205
${SQLIMAGE} mariabackup --host mysql --user root --password ${DBROOT} --backup --target-dir=/backup 2>/dev/null ; then
${SQLIMAGE} mariabackup --host mysql --user root --password ${DBROOT} --backup --target-dir=/backup 2>/dev/null ; then
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 206
>&2 echo -e "\e[31m[ERR]\e[0m - Could not create MariaDB backup on source"
>&2 echo -e "\e[31m[ERR]\e[0m - Could not create MariaDB backup on source"
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 207
rm -rf "${SCRIPT_DIR}/../_tmp_mariabackup/"
rm -rf "${SCRIPT_DIR}/../_tmp_mariabackup/"
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 208
exit 1
exit 1
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 209
fi
fi
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 210
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 211
if ! docker run --rm \
if ! docker run --rm \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 212
--network $(docker network ls -qf name=${CMPS_PRJ}_) \
--network $(docker network ls -qf name=${CMPS_PRJ}_) \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 213
--entrypoint= \
--entrypoint= \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 214
-v "${SCRIPT_DIR}/../_tmp_mariabackup":/backup \
-v "${SCRIPT_DIR}/../_tmp_mariabackup":/backup \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 215
${SQLIMAGE} mariabackup --prepare --target-dir=/backup 2> /dev/null ; then
${SQLIMAGE} mariabackup --prepare --target-dir=/backup 2> /dev/null ; then
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 216
>&2 echo -e "\e[31m[ERR]\e[0m - Could not transfer MariaDB backup to remote"
>&2 echo -e "\e[31m[ERR]\e[0m - Could not transfer MariaDB backup to remote"
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 217
rm -rf "${SCRIPT_DIR}/../_tmp_mariabackup/"
rm -rf "${SCRIPT_DIR}/../_tmp_mariabackup/"
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 218
exit 1
exit 1
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 219
fi
fi
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 220
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 221
chown -R 999:999 "${SCRIPT_DIR}/../_tmp_mariabackup"
chown -R 999:999 "${SCRIPT_DIR}/../_tmp_mariabackup"
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 222
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 223
echo -e "\033[1mSynchronizing MariaDB backup...\033[0m"
echo -e "\033[1mSynchronizing MariaDB backup...\033[0m"
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 224
rsync --delete --info=progress2 -aH -e "ssh -o StrictHostKeyChecking=no \
rsync --delete --info=progress2 -aH -e "ssh -o StrictHostKeyChecking=no \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 225
-i \"${REMOTE_SSH_KEY}\" \
-i \"${REMOTE_SSH_KEY}\" \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 226
-p ${REMOTE_SSH_PORT}" \
-p ${REMOTE_SSH_PORT}" \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 227
"${SCRIPT_DIR}/../_tmp_mariabackup/" root@${REMOTE_SSH_HOST}:"${mountpoint}"
"${SCRIPT_DIR}/../_tmp_mariabackup/" root@${REMOTE_SSH_HOST}:"${mountpoint}"
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 228
ec=$?
ec=$?
andryyy
over 4 years ago
25a5978
[Helper] Minor cosmetic changes to cold standby script
- Full commit hash
25a5978043091f754ce44fda8242e81f1f186a87- Author
- andryyy <[email protected]>
- Date
- over 4 years ago
- Selected line
- 229
if [ ${ec} -ne 0 ] && [ ${ec} -ne 24 ]; then
if [ ${ec} -ne 0 ] && [ ${ec} -ne 24 ]; then
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 230
>&2 echo -e "\e[31m[ERR]\e[0m - Could not transfer MariaDB backup to remote"
>&2 echo -e "\e[31m[ERR]\e[0m - Could not transfer MariaDB backup to remote"
same change
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 231
exit 1
exit 1
same change
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 232
fi
fi
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 233
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 234
# Cleanup
# Cleanup
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 235
rm -rf "${SCRIPT_DIR}/../_tmp_mariabackup/"
rm -rf "${SCRIPT_DIR}/../_tmp_mariabackup/"
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 236
DerLinkman
about 3 years ago
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 237
elif [[ "${vol}" =~ "rspamd-vol-1" ]]; then
elif [[ "${vol}" =~ "rspamd-vol-1" ]]; then
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 238
# Exclude rspamd-vol-1 if the Architectures are not the same on source and destination due to compatibility issues.
# Exclude rspamd-vol-1 if the Architectures are not the same on source and destination due to compatibility issues.
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 239
if [[ $LOCAL_ARCH == $REMOTE_ARCH ]]; then
if [[ $LOCAL_ARCH == $REMOTE_ARCH ]]; then
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 240
echo -e "\033[1mSynchronizing ${vol} from local ${mountpoint}...\033[0m"
echo -e "\033[1mSynchronizing ${vol} from local ${mountpoint}...\033[0m"
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 241
rsync --delete --info=progress2 -aH -e "ssh -o StrictHostKeyChecking=no \
rsync --delete --info=progress2 -aH -e "ssh -o StrictHostKeyChecking=no \
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 242
-i \"${REMOTE_SSH_KEY}\" \
-i \"${REMOTE_SSH_KEY}\" \
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 243
-p ${REMOTE_SSH_PORT}" \
-p ${REMOTE_SSH_PORT}" \
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 244
"${mountpoint}/" root@${REMOTE_SSH_HOST}:"${mountpoint}"
"${mountpoint}/" root@${REMOTE_SSH_HOST}:"${mountpoint}"
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 245
else
else
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 246
echo -e "\e[1;31mSkipping ${vol} from local maschine due to incompatiblity between different architecture...\e[0m"
echo -e "\e[1;31mSkipping ${vol} from local maschine due to incompatiblity between different architecture...\e[0m"
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 247
sleep 2
sleep 2
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 248
continue
continue
same change
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 249
fi
fi
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 250
DerLinkman
about 3 years ago
accedf0
Updated mailcow Components to be ARM64 compatible
- Full commit hash
accedf028003ad6f0511a41a8773562458038bed- Author
- DerLinkman <[email protected]>
- Date
- about 3 years ago
- Selected line
- 251
else
else
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 252
echo -e "\033[1mSynchronizing ${vol} from local ${mountpoint}...\033[0m"
echo -e "\033[1mSynchronizing ${vol} from local ${mountpoint}...\033[0m"
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 253
rsync --delete --info=progress2 -aH -e "ssh -o StrictHostKeyChecking=no \
rsync --delete --info=progress2 -aH -e "ssh -o StrictHostKeyChecking=no \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 254
-i \"${REMOTE_SSH_KEY}\" \
-i \"${REMOTE_SSH_KEY}\" \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 255
-p ${REMOTE_SSH_PORT}" \
-p ${REMOTE_SSH_PORT}" \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 256
"${mountpoint}/" root@${REMOTE_SSH_HOST}:"${mountpoint}"
"${mountpoint}/" root@${REMOTE_SSH_HOST}:"${mountpoint}"
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 257
ec=$?
ec=$?
andryyy
over 4 years ago
25a5978
[Helper] Minor cosmetic changes to cold standby script
- Full commit hash
25a5978043091f754ce44fda8242e81f1f186a87- Author
- andryyy <[email protected]>
- Date
- over 4 years ago
- Selected line
- 258
if [ ${ec} -ne 0 ] && [ ${ec} -ne 24 ]; then
if [ ${ec} -ne 0 ] && [ ${ec} -ne 24 ]; then
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 259
>&2 echo -e "\e[31m[ERR]\e[0m - Could not transfer ${vol} from local ${mountpoint} to remote"
>&2 echo -e "\e[31m[ERR]\e[0m - Could not transfer ${vol} from local ${mountpoint} to remote"
same change
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 260
exit 1
exit 1
same change
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 261
fi
fi
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 262
fi
fi
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 263
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 264
echo -e "\e[32mCompleted\e[0m"
echo -e "\e[32mCompleted\e[0m"
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 265
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 266
done
done
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 267
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 268
# Restart Dockerd on destination
# Restart Dockerd on destination
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 269
echo -ne "\033[1mRestarting Docker daemon on remote to detect new volumes... \033[0m"
echo -ne "\033[1mRestarting Docker daemon on remote to detect new volumes... \033[0m"
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 270
if ! ssh -o StrictHostKeyChecking=no \
if ! ssh -o StrictHostKeyChecking=no \
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 271
-i "${REMOTE_SSH_KEY}" \
-i "${REMOTE_SSH_KEY}" \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 272
${REMOTE_SSH_HOST} \
${REMOTE_SSH_HOST} \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 273
-p ${REMOTE_SSH_PORT} \
-p ${REMOTE_SSH_PORT} \
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 274
systemctl restart docker ; then
systemctl restart docker ; then
same change
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 275
>&2 echo -e "\e[31m[ERR]\e[0m - Could not restart Docker daemon on remote"
>&2 echo -e "\e[31m[ERR]\e[0m - Could not restart Docker daemon on remote"
same change
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 276
exit 1
exit 1
same change
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 277
fi
fi
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 278
echo "OK"
echo "OK"
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 279
Niklas Meyer
about 4 years ago
714511b
[Compose] Update to Docker Compose v2 (#4605)
- Full commit hash
714511b0a84691f4c52f55ebbe982623f2512c80- Author
- Niklas Meyer <[email protected]>
- Date
- about 4 years ago
- Selected line
- 280
echo -e "\e[33mPulling images on remote...\e[0m"
echo -e "\e[33mPulling images on remote...\e[0m"
same change
714511b
[Compose] Update to Docker Compose v2 (#4605)
- Full commit hash
714511b0a84691f4c52f55ebbe982623f2512c80- Author
- Niklas Meyer <[email protected]>
- Date
- about 4 years ago
- Selected line
- 281
echo -e "\e[33mProcess is NOT stuck! Please wait...\e[0m"
echo -e "\e[33mProcess is NOT stuck! Please wait...\e[0m"
same change
714511b
[Compose] Update to Docker Compose v2 (#4605)
- Full commit hash
714511b0a84691f4c52f55ebbe982623f2512c80- Author
- Niklas Meyer <[email protected]>
- Date
- about 4 years ago
- Selected line
- 282
same change
714511b
[Compose] Update to Docker Compose v2 (#4605)
- Full commit hash
714511b0a84691f4c52f55ebbe982623f2512c80- Author
- Niklas Meyer <[email protected]>
- Date
- about 4 years ago
- Selected line
- 283
if ! ssh -o StrictHostKeyChecking=no \
if ! ssh -o StrictHostKeyChecking=no \
same change
714511b
[Compose] Update to Docker Compose v2 (#4605)
- Full commit hash
714511b0a84691f4c52f55ebbe982623f2512c80- Author
- Niklas Meyer <[email protected]>
- Date
- about 4 years ago
- Selected line
- 284
-i "${REMOTE_SSH_KEY}" \
-i "${REMOTE_SSH_KEY}" \
same change
714511b
[Compose] Update to Docker Compose v2 (#4605)
- Full commit hash
714511b0a84691f4c52f55ebbe982623f2512c80- Author
- Niklas Meyer <[email protected]>
- Date
- about 4 years ago
- Selected line
- 285
${REMOTE_SSH_HOST} \
${REMOTE_SSH_HOST} \
same change
714511b
[Compose] Update to Docker Compose v2 (#4605)
- Full commit hash
714511b0a84691f4c52f55ebbe982623f2512c80- Author
- Niklas Meyer <[email protected]>
- Date
- about 4 years ago
- Selected line
- 286
-p ${REMOTE_SSH_PORT} \
-p ${REMOTE_SSH_PORT} \
sdsys-ch
10 months ago
3cc28af
[Helper] Fix cold-standby script to support digits and override files (#6800)
- Full commit hash
3cc28af607194eda0a624413c7be2b168e0a5ba8- Author
- sdsys-ch <[email protected]>
- Date
- 10 months ago
- Selected line
- 287
"cd \"${SCRIPT_DIR}/../\" && ${COMPOSE_COMMAND} pull --quiet 2>&1" ; then
"cd \"${SCRIPT_DIR}/../\" && ${COMPOSE_COMMAND} pull --quiet 2>&1" ; then
Niklas Meyer
about 4 years ago
714511b
[Compose] Update to Docker Compose v2 (#4605)
- Full commit hash
714511b0a84691f4c52f55ebbe982623f2512c80- Author
- Niklas Meyer <[email protected]>
- Date
- about 4 years ago
- Selected line
- 288
>&2 echo -e "\e[31m[ERR]\e[0m - Could not pull images on remote"
>&2 echo -e "\e[31m[ERR]\e[0m - Could not pull images on remote"
same change
714511b
[Compose] Update to Docker Compose v2 (#4605)
- Full commit hash
714511b0a84691f4c52f55ebbe982623f2512c80- Author
- Niklas Meyer <[email protected]>
- Date
- about 4 years ago
- Selected line
- 289
fi
fi
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 290
Niklas Meyer
about 4 years ago
714511b
[Compose] Update to Docker Compose v2 (#4605)
- Full commit hash
714511b0a84691f4c52f55ebbe982623f2512c80- Author
- Niklas Meyer <[email protected]>
- Date
- about 4 years ago
- Selected line
- 291
echo -e "\033[1mExecuting update script and forcing garbage cleanup on remote...\033[0m"
echo -e "\033[1mExecuting update script and forcing garbage cleanup on remote...\033[0m"
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 292
if ! ssh -o StrictHostKeyChecking=no \
if ! ssh -o StrictHostKeyChecking=no \
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 293
-i "${REMOTE_SSH_KEY}" \
-i "${REMOTE_SSH_KEY}" \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 294
${REMOTE_SSH_HOST} \
${REMOTE_SSH_HOST} \
same change
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 295
-p ${REMOTE_SSH_PORT} \
-p ${REMOTE_SSH_PORT} \
DerLinkman
11 months ago
94c1a6c
scripts: ipv6_controller improvement + fix modules handling (#6722)
- Full commit hash
94c1a6c4e1f8901e38e4562dd208cc026277fab8- Author
- DerLinkman <[email protected]>
- Date
- 11 months ago
- Selected line
- 296
"cd \"${SCRIPT_DIR}/../\" && ./update.sh -f --gc" ; then
"cd \"${SCRIPT_DIR}/../\" && ./update.sh -f --gc" ; then
andryyy
almost 5 years ago
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 297
>&2 echo -e "\e[31m[ERR]\e[0m - Could not cleanup old images on remote"
>&2 echo -e "\e[31m[ERR]\e[0m - Could not cleanup old images on remote"
same change
db33668
[Helper] Redirect all output to stdout and use stderr only on errors
- Full commit hash
db33668584a9872ed69247c37a59b4f865a60f86- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 298
fi
fi
andryyy
almost 5 years ago
78aafe9
[Helper] Cold standby script (WIP, docs incoming)
- Full commit hash
78aafe9b33690986492ad3f041ea72ee2a0431db- Author
- andryyy <[email protected]>
- Date
- almost 5 years ago
- Selected line
- 299
Christian 🦄
over 1 year ago
7c8e5c1
Add create command to prevent external: true warnings (#6203)
- Full commit hash
7c8e5c10cad47d1faab0f28b9b81953835c1622e- Author
- Christian 🦄 <[email protected]>
- Date
- over 1 year ago
- Selected line
- 300
echo -e "\e[32mDone\e[0m"
echo -e "\e[32mDone\e[0m"